package de.frajul.endlessroll.entities.collectables;

import de.frajul.endlessroll.data.Vector;
import de.frajul.endlessroll.entities.AnimatedEntity;
import de.frajul.endlessroll.entities.textures.Texture;
import de.frajul.endlessroll.levels.PositionData;

public class Energy extends AnimatedEntity {

    private final static float SIZE = 0.3f;

    public Energy(Texture texture, PositionData data) {
        super(texture, new Vector(data.getX(), data.getY()), SIZE, SIZE);
        animation.setLooping(true);
        animation.setRequiredDelta(130);
    }
}
